<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
Rollback3 Method (IEdmVersion8)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmVersion8 Interface : Rollback3 Method (IEdmVersion8)

Visual Basic
C#
C++/CLI

bsComment
  Comment for this rollback

vbRedirectParentRefs
  True to roll back the file with its parent references, false to roll back the file without its parent references

Discards all versions of the file after this version.

# Syntax

Visual Basic |
--- | ---

    Sub Rollback3( _
       ByVal bsComment As System.String, _
       ByVal vbRedirectParentRefs As System.Boolean _
    )

C# |
--- | ---

    void Rollback3(
       System.string bsComment,
       System.bool vbRedirectParentRefs
    )

C++/CLI |
--- | ---

    void Rollback3(
    &   System.String^ bsComment,
    &   System.bool vbRedirectParentRefs
    )

#### Parameters

bsComment
  Comment for this rollback
vbRedirectParentRefs
  True to roll back the file with its parent references, false to roll back the file without its parent references

# Remarks

This method deletes both the file data and the file data card data when it deletes versions. You cannot undo this rollback, unless you restore a complete backup of the database and the file archives.

Return codes:

- S_OK: The method successfully executed.
- E_EDM_PERMISSION_DENIED: The user does not have permission to delete files.
- E_EDM_INVALID_REVISION_NUMBER: The version does not exist.

# See Also

####

IEdmVersion8 Interface
IEdmVersion8 Members
IEdmRevision7::Rollback3 Method ()
IEdmEnumeratorVersion7::Rollback3 Method ()

# Availability

SOLIDWORKS PDM Professional 2017